curl --request GET \
--url https://api.hubapi.com/commerce/payment-links/2026-09/payment-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/commerce/payment-links/2026-09/payment-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/commerce/payment-links/2026-09/payment-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"acceptedPaymentMethods": [
"CREDIT_OR_DEBIT_CARD"
],
"additionalFormFields": [
{
"isRequired": true,
"label": "<string>",
"objectType": "COMPANY",
"options": [
{
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"propertyName": "<string>",
"description": "<string>"
}
],
"archived": true,
"automatedSalesTaxEnabled": true,
"checkoutFeeIds": [
"<string>"
],
"collectFullBillingAddress": true,
"collectShippingAddress": true,
"createContractOnPurchase": true,
"currencyCode": "<string>",
"discountCodeEnabled": true,
"discounts": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"fees": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"formGuid": "<string>",
"id": "<string>",
"includeEmailInSuccessRedirect": true,
"isOneTimeUseEnabled": true,
"lineItems": [
{
"id": "<string>",
"name": "<string>",
"pricing": {
"prices": [
{
"currencyCode": "<string>",
"price": 123,
"maxQuantity": 123
}
],
"pricingModel": "FLAT"
},
"quantity": 123,
"acv": 123,
"allowBuyerSelectedQuantity": true,
"amount": 123,
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"arr": 123,
"billingCycleAnchorDate": "2023-12-25",
"billingPeriodEndDate": "2023-12-25",
"billingPeriodStartDate": "2023-12-25",
"billingStartDelayDays": 123,
"billingStartDelayMonths": 123,
"billingStartDelayType": "HS_BILLING_START_DELAY_DAYS",
"buyerSelectedQuantityMax": 123,
"buyerSelectedQuantityMin": 123,
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"discount": 123,
"discountPercentage": 123,
"effectiveUnitPrice": 123,
"externalId": "<string>",
"images": "<string>",
"isEditablePrice": true,
"isOptional": true,
"isParent": true,
"lineItemCurrencyCode": "<string>",
"mrr": 123,
"parentLineItemId": "<string>",
"positionOnQuote": 123,
"postTaxAmount": 123,
"preDiscountAmount": 123,
"price": 123,
"priceBookId": "<string>",
"pricingModel": "FLAT",
"productId": "<string>",
"productType": "<string>",
"rampKey": "<string>",
"recurringBillingDayOfMonth": 123,
"recurringBillingEndDate": "2023-12-25",
"recurringBillingFrequency": "ANNUALLY",
"recurringBillingNumberOfPayments": 123,
"recurringBillingPeriod": "<string>",
"recurringBillingStartDate": "2023-12-25",
"recurringBillingTerms": "AUTOMATICALLY_RENEW",
"richTextDescription": "<string>",
"sku": "<string>",
"tax": 123,
"taxAmount": 123,
"taxCategory": "<string>",
"taxRateGroupId": "<string>",
"tcv": 123,
"termInMonths": 123,
"tierAmount": 123,
"totalDiscount": 123,
"updatedAt": "2023-11-07T05:31:56Z",
"variantId": "<string>"
}
],
"paymentLinkName": "<string>",
"paymentLinkUrl": "<string>",
"state": "OFF",
"storePaymentMethodAtCheckout": true,
"taxes": [
{
"id": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"label": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"value": 123,
"valueType": "FIXED"
}
],
"archivedAt": "2023-11-07T05:31:56Z",
"businessUnitId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"dealConfigurations": {
"createNewDealOnPurchase": true,
"pipelineStageId": "<string>"
},
"descriptionHtml": "<string>",
"domainId": "<string>",
"successUrl": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"paging": {
"next": {
"after": "<string>",
"link": "<string>"
}
}
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Retrieve payment links
Retrieve a list of payment links from your HubSpot account. This endpoint allows you to filter and sort payment links based on various criteria such as creation and update timestamps. It supports pagination and can include archived payment links if specified.
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
The paging cursor token of the last successfully read resource will be returned as the paging.next.after JSON property of a paged response containing more results.
Whether to return only results that have been archived.
The maximum number of results to display per page.
Response
successful operation
An array of PaymentLinkResponse objects, each representing a payment link with its associated details.
Show child attributes
Show child attributes
Paging information for forward-only pagination. Contains the next page reference when more results are available; omitted or empty on the last page.
Show child attributes
Show child attributes
Was this page helpful?